libglom-1.20: Glom::LayoutItem_Placeholder Class Reference

libglom-1.20 1.19.15

- Main Page
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
Glom::LayoutItem_Placeholder Class Reference
Inheritance diagram for Glom::LayoutItem_Placeholder:
[legend]
Collaboration diagram for Glom::LayoutItem_Placeholder:
[legend]

List of all members.

## Public Member Functions
| LayoutItem_Placeholder ()
| ~LayoutItem_Placeholder ()
| LayoutItem_Placeholder (const LayoutItem_Placeholder& src)
virtual LayoutItem* | clone () const
| Create a new copied instance.
virtual Glib::ustring | get_part_type_name () const
virtual Glib::ustring | get_report_part_id () const
| Gets the node name to use for the intermediate XML, (and usually, the CSS style class to use for the resulting HTML).
bool | operator== (const LayoutItem_Placeholder* src) const

## Constructor & Destructor Documentation

Glom::LayoutItem_Placeholder::LayoutItem_Placeholder | ( |  | ) |

Glom::LayoutItem_Placeholder::~LayoutItem_Placeholder | ( |  | ) |

Glom::LayoutItem_Placeholder::LayoutItem_Placeholder | ( | const LayoutItem_Placeholder& | src | ) |

## Member Function Documentation

virtual LayoutItem* Glom::LayoutItem_Placeholder::clone | ( |  | ) | const`[virtual]`

Create a new copied instance.

This allows us to deep-copy a list of LayoutItems.

Implements Glom::LayoutItem.

virtual Glib::ustring Glom::LayoutItem_Placeholder::get_part_type_name | ( |  | ) | const`[virtual]`

Implements Glom::LayoutItem.

virtual Glib::ustring Glom::LayoutItem_Placeholder::get_report_part_id | ( |  | ) | const`[virtual]`

Gets the node name to use for the intermediate XML, (and usually, the CSS style class to use for the resulting HTML).

Reimplemented from Glom::LayoutItem.

bool Glom::LayoutItem_Placeholder::operator== | ( | const LayoutItem_Placeholder* | src | ) | const

The documentation for this class was generated from the following file:

- libglom/data_structure/layout/layoutitem_placeholder.h